import {
  AfterContentInit,
  Component,
  EventEmitter,
  Input,
  OnInit,
  Output
} from '@angular/core';
import { ActivatedRoute, Router } from '@angular/router';
import { Store, select } from '@ngrx/store';
import { FormGroup, FormBuilder, Validators } from '@angular/forms';

import * as TotpStore from 'packages/member/store/totp';
import { AuthSelector } from 'packages/member/store';
import { TotpSelector } from 'packages/member/store';
import { Member } from 'packages/member/model/Member';
import { MemberTotp } from 'packages/member/model/MemberTotp';

@Component({
  selector: 'of-config-setting',
  templateUrl: './config-setting.component.html',
  styleUrls: ['./config-setting.component.scss']
})
export class ConfigSettingComponent implements OnInit, AfterContentInit {
  member: Member;
  @Input()  selectedItem: any;
  @Input()  totpVO: MemberTotp;
  @Output() close = new EventEmitter();
  @Input()  totpSettingDisplay;

  constructor(private activatedRoute: ActivatedRoute,
              private router: Router,
              private store: Store<TotpStore.State>,
              private formBuilder: FormBuilder,
              ) { }

  ngOnInit() {

  }

  ngAfterContentInit() {

  }

  onCancel() {
    this.close.emit();
  }
}
